#### D.13.2.54 numberOfConesOfDimension

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  numberOfConesOfDimension(f,d[,m]); f fan, d int, m int

Assume:
  d is between 0 and ambientDimension(f)

Return:
  cone, returns in the fan f the number of cones in dimension d if m!=0, it will only count maximal cones

Example:

    LIB "gfan.lib";
    fan f=emptyFan(3);
    ncones(f);
    ==> 0
    intmat M[3][3]=
    1,0,0,
    0,1,0,
    0,0,1;
    cone c=coneViaPoints(M);
    insertCone(f,c);
    numberOfConesOfDimension(f,0,0);
    ==> 1
    numberOfConesOfDimension(f,0,1);
    ==> 0
    numberOfConesOfDimension(f,1,0);
    ==> 3
    numberOfConesOfDimension(f,0,1);
    ==> 0
    numberOfConesOfDimension(f,2,0);
    ==> 3
    numberOfConesOfDimension(f,2,1);
    ==> 0
    numberOfConesOfDimension(f,3,0);
    ==> 1
    numberOfConesOfDimension(f,3,1);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.